commit:     9125cac6b7858eee2325ee74d0658c387df981c6
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 10:52:54 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9125cac6

media-radio/ibp: fix USE=X build with -native-symlinks

Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-radio/ibp/ibp-0.21-r1.ebuild | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/media-radio/ibp/ibp-0.21-r1.ebuild 
b/media-radio/ibp/ibp-0.21-r1.ebuild
index 0d4596ba3e9..a02af617b34 100644
--- a/media-radio/ibp/ibp-0.21-r1.ebuild
+++ b/media-radio/ibp/ibp-0.21-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
@@ -16,7 +16,7 @@ IUSE="X"
 RDEPEND="sys-libs/ncurses:0
        X? ( x11-libs/libX11  )"
 DEPEND="${RDEPEND}
-       X? ( x11-misc/imake )"
+       X? ( >=x11-misc/imake-1.0.8-r1 )"
 
 src_prepare() {
        # respect CFLAGS if built without USE=X
@@ -31,7 +31,8 @@ src_prepare() {
 
 src_configure() {
        if use X ;then
-               xmkmf || die
+               CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+                       IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die
        fi
 }
 

Reply via email to